/// <reference types="node" />
import { EventEmitter } from "events";
import { PushMessage } from "./models";
import { Logger } from "ts-log";
export declare class PushClient extends EventEmitter {
    private readonly HOST;
    private readonly PORT;
    private readonly MCS_VERSION;
    private readonly HEARTBEAT_INTERVAL;
    private loggedIn;
    private streamId;
    private lastStreamIdReported;
    private currentDelay;
    private client?;
    private heartbeatTimeout?;
    private reconnectTimeout?;
    private persistentIds;
    private static proto;
    private callback;
    private pushClientParser;
    private auth;
    private log;
    private constructor();
    static init(log: Logger | undefined, auth: {
        androidId: string;
        securityToken: string;
    }): Promise<PushClient>;
    private initialize;
    getPersistentIds(): Array<string>;
    setPersistentIds(ids: Array<string>): void;
    connect(callback?: (msg: PushMessage) => void): void;
    updateCallback(callback: (msg: any) => void): void;
    private buildLoginRequest;
    private buildHeartbeatPingRequest;
    private buildHeartbeatAckRequest;
    private onSocketData;
    private onSocketConnect;
    private onSocketClose;
    private onSocketError;
    private handleParsedMessage;
    private handleHeartbeatPing;
    private handleHeartbeatAck;
    private convertPayloadMessage;
    private getStreamId;
    private newStreamIdAvailable;
    private scheduleHeartbeat;
    private sendHeartbeat;
    isConnected(): boolean;
    private getHeartbeatInterval;
    private getCurrentDelay;
    private resetCurrentDelay;
    private scheduleReconnect;
}
