export interface CusPushData {
    a: number;
    alarm?: number;
    alarm_delay?: number;
    alarm_type?: number;
    arming?: number;
    automation_id?: number;
    batt_powered?: number;
    c?: number;
    channel?: number;
    click_action: string;
    create_time?: number;
    device_name?: string;
    e?: string;
    event_time?: number;
    event_type?: number;
    f?: string;
    i?: string;
    j?: string;
    k?: string;
    m?: string;
    mode?: number;
    n?: string;
    name?: string;
    news_id: number;
    nick_name?: string;
    notification_style?: number;
    p?: string;
    pic_url?: string;
    push_count: number;
    s: string;
    session_id?: string;
    short_user_id?: string;
    storage_type?: number;
    t?: string;
    tfcard?: number;
    type: number;
    unique_id?: string;
    user?: number;
    user_id?: string;
    user_name?: string;
}
export interface EufyPushMessage {
    content: string;
    device_sn: string;
    event_time: number;
    payload: CusPushData | IndoorPushData | ServerPushData;
    push_time: number;
    station_sn: string;
    title: string;
    type: number;
    doorbell: string;
    "google.c.sender.id": string;
}
export interface PushMessage {
    id: string;
    from: string;
    to: string;
    category: string;
    persistentId: string;
    ttl: number;
    sent: string;
    payload: EufyPushMessage;
}
export interface FidTokenResponse {
    token: string;
    expiresIn: string;
    expiresAt: number;
}
export interface FidInstallationResponse {
    name: string;
    fid: string;
    refreshToken: string;
    authToken: FidTokenResponse;
}
export interface CheckinResponse {
    statsOk: boolean;
    timeMs: string;
    androidId: string;
    securityToken: string;
    versionInfo: string;
    deviceDataVersionInfo: string;
}
export interface GcmRegisterResponse {
    token: string;
}
export interface Message {
    tag: number;
    object: any;
}
export declare enum ProcessingState {
    MCS_VERSION_TAG_AND_SIZE = 0,
    MCS_TAG_AND_SIZE = 1,
    MCS_SIZE = 2,
    MCS_PROTO_BYTES = 3
}
export declare enum MessageTag {
    HeartbeatPing = 0,
    HeartbeatAck = 1,
    LoginRequest = 2,
    LoginResponse = 3,
    Close = 4,
    MessageStanza = 5,
    PresenceStanza = 6,
    IqStanza = 7,
    DataMessageStanza = 8,
    BatchPresenceStanza = 9,
    StreamErrorStanza = 10,
    HttpRequest = 11,
    HttpResponse = 12,
    BindAccountRequest = 13,
    BindAccountResponse = 14,
    TalkMetadata = 15,
    NumProtoTypes = 16
}
export interface Credentials {
    fidResponse: FidInstallationResponse;
    checkinResponse: CheckinResponse;
    gcmResponse: GcmRegisterResponse;
}
export interface DoorbellPushData {
    campaign_name: string;
    channel: number;
    cipher: number;
    content: string;
    create_time: number;
    device_sn: string;
    event_session: string;
    event_time: string;
    event_type: number;
    file_path: string;
    outer_body: string;
    outer_title: string;
    pic_url: string;
    push_count: number;
    station_sn: string;
    title: string;
    url: string;
    url_ex: string;
    video_url: string;
}
export interface IndoorPushData {
    a: number;
    channel: number;
    cipher: number;
    create_time: number;
    device_sn: string;
    event_type: number;
    file_path: string;
    msg_type: number;
    name: string;
    notification_style: number;
    pic_url: string;
    push_count: number;
    session_id: string;
    storage_type: number;
    t: number;
    tfcard_status: number;
    timeout: number;
    unique_id: string;
}
export interface ServerPushData {
    email: string;
    nick_name: string;
    verify_code: string;
}
